# Gimp.Config.prototype.deserialize_parasite

    function deserialize_parasite(parasite: Gimp.Parasite, data: void): Boolean {
        // Gjs wrapper for gimp_config_deserialize_parasite()
    }

Configures config from parasite. Basically this function creates a properly configured GLib.Scanner for you and calls the deserialize function of the config's Gimp.ConfigInterface.

Since 3.0

parasite

  parasite containing a serialized config string

data

  client data

Returns

  true if deserialization succeeded, false otherwise.